<div class="container">
  <div class="card">
    <div class="card-header">
      <h3 class="text-center"><b>Formulario de Conceptos</b></h3>
    </div>
      <div class="card-body justify-content-center">
        <form class="mt-3 col-md-10 offset-md-3" (ngSubmit)="onSave()" [formGroup]="listadoForm">
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Asignar requisición </label>
              <select class="form-control form-select" formControlName="requisicion_id" [class]="isValidField('requisicion_id')">
                <option *ngFor="let item of $requisic | async" [ngValue]="item.obra_id"><b>{{item.obra_id}}</b> a cargo del ing. {{item.requisitador_id}}</option>
              </select>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Asignar concepto </label>
              <select class="form-control form-select" formControlName="material_id" [class]="isValidField('material_id')">
                <option *ngFor="let item of $conceptos | async" [ngValue]="item.nombre">{{item.nombre}}</option>
              </select>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Cantidad </label>
              <input type="text" formControlName="cantidad" class="form-control" [class]="isValidField('cantidad')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Fecha </label>
              <input type="date" formControlName="fecha" class="form-control" [class]="isValidField('fecha')">
            </div>
          </div>
          <div class="d-grid gap-2 col-8 mx-auto">
            <button class="btn btn-success btn-md-8">Guardar datos</button>
          </div>
        </form>
        <div class="row">
          <button type="button" class="btn btn-primary mt-2" (click)="onGoBackToList()">Regresar a listado</button>
        </div>
      </div>
  </div>
</div>
